Subject: Re: [PATCH net-next 0/3] icmp: Add RFC 5837 support

From: Ido Schimmel <[email-masked]>
Date: Wed, 22 Oct 2025 18:35:23 +0300

On Wed, Oct 22, 2025 at 08:10:04AM -0700, Jakub Kicinski wrote:
> On Wed, 22 Oct 2025 16:58:45 +0300 Ido Schimmel wrote:
> > On Wed, Oct 22, 2025 at 06:26:35AM -0700, Jakub Kicinski wrote:
> > > On Wed, 22 Oct 2025 09:53:46 +0300 Ido Schimmel wrote:  
> > > > Testing
> > > > =======
> > > > 
> > > > The existing traceroute selftest is extended to test that ICMP
> > > > extensions are reported correctly when enabled. Both address families
> > > > are tested and with different packet sizes in order to make sure that
> > > > trimming / padding works correctly.  
> > > 
> > > Do we need to update traceroute to make the test pass?  
> > 
> > It shouldn't be necessary. There is a check to skip the test if
> > traceroute doesn't have the required functionality. I'm testing with
> > version 2.1.6 on Fedora 42.
> > 
> > If it's failing, can you please run the test with '-v' and paste the
> > output? I will try to see what's wrong. I didn't see any failures on my
> > end with both regular and debug configs.
> 
> bash-5.2# traceroute -V
> Modern traceroute for Linux, version 2.1.3
> Copyright (c) 2016  Dmitry Butskoy,   License: GPL v2 or any later

It seems my check was not enough. I only checked that traceroute has the
'-e' option, but while version 2.1.3 supports ICMP extensions, it does
not support those defined in RFC 5837. For that you need at least
version 2.1.5.

I will change the test to require at least version 2.1.5. Can you please
update traceroute in the CI and see if it helps?